%global momorel 6
%global artsver 1.5.7
%global artsrel 1m
%global qtver 3.3.7
%global kdever 3.5.7
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 6905f9a6d448c7bfc818cd2d7c88cab4

Summary: Very powerful Quake style Konsole
Name: yakuake
Version: 2.7.5
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.kde-apps.org/content/show.php?content=29153
Group: User Interface/X
%NoSource 0 http://download.berlios.de/%{name}/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Source1: Makefile-ja.am
Source2: %{name}-ja.po
Source3: %{name}rc
Source4: konsolepartrc
Source5: admin.tar.bz2
Patch0: %{name}-%{version}-desktop.patch
Patch10: http://ota.tr.spt.fi/~fisu81/stuff/konsolescripts/%{name}-getSessionName.diff
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: libpng-devel
BuildPreReq: libjpeg-devel
BuildPreReq: desktop-file-utils

%description
A KDE konsole which looks like those found in Quake.

%prep
%setup -q

%patch0 -p1 -b .desktop~
%patch10 -p1 -b .konsolescripts

# for Japanese
mkdir -p po/ja
cp %{SOURCE1} po/ja/Makefile.am
cp %{SOURCE2} po/ja/yakuake.po

# build fix
rm -rf admin
tar xf %{SOURCE5}

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install yakuakerc and konsolepartrc
mkdir -p %{buildroot}%{_datadir}/config
install -m 644 %{SOURCE3} %{buildroot}%{_datadir}/config/yakuakerc
install -m 644 %{SOURCE4} %{buildroot}%{_datadir}/config/konsolepartrc

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category System \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_datadir}/applnk/Utilities/yakuake.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL TODO yakuake/NEWS
%{_bindir}/yakuake
%{_datadir}/applications/kde/yakuake.desktop
%{_datadir}/apps/yakuake
%{_datadir}/config/konsolepartrc
%{_datadir}/config/yakuakerc
%{_datadir}/icons/*/*/apps/yakuake.png
%{_datadir}/locale/*/LC_MESSAGES/yakuake.mo

%changelog
* Mon Jul 16 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.7.5-6m)
- apply yakuake-getSessionName.diff
- https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=212862

* Sun Mar 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.7.5-5m)
- replace Source0

* Sat Oct 21 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.7.5-4m)
- import new admin/* from svn.kde.org for new autotools

* Sun Sep 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.7.5-3m)
- remove category TerminalEmulator

* Tue Jun 27 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.7.5-2m)
- modify initial settings

* Tue Jun 27 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.7.5-1m)
- initial package for Momonga Linux
- import yakuake-ja.po from SVN (kde.org)
- add desktop.patch
- Summary and %%description are imported from cooker
